FT_4222_Defines.FT4222_STATUS

com.ftdi.j2xx.ft4222

## Class FT_4222_Defines.FT4222_STATUS

- java.lang.Object
- - com.ftdi.j2xx.ft4222.FT_4222_Defines.FT4222_STATUS

- Enclosing class:
    FT_4222_Defines

      public class FT_4222_Defines.FT4222_STATUS
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `FT4222_CLK_NOT_SUPPORTED`
    `static int` | `FT4222_DEVICE_LIST_NOT_READY`
    `static int` | `FT4222_DEVICE_NOT_FOUND`
    `static int` | `FT4222_DEVICE_NOT_OPENED`
    `static int` | `FT4222_DEVICE_NOT_OPENED_FOR_ERASE`
    `static int` | `FT4222_DEVICE_NOT_OPENED_FOR_WRITE`
    `static int` | `FT4222_DEVICE_NOT_SUPPORTED`
    `static int` | `FT4222_EEPROM_ERASE_FAILED`
    `static int` | `FT4222_EEPROM_NOT_PRESENT`
    `static int` | `FT4222_EEPROM_NOT_PROGRAMMED`
    `static int` | `FT4222_EEPROM_READ_FAILED`
    `static int` | `FT4222_EEPROM_WRITE_FAILED`
    `static int` | `FT4222_EVENT_NOT_SUPPORTED`
    `static int` | `FT4222_EXCEEDED_MAX_TRANSFER_SIZE`
    `static int` | `FT4222_FAILED_TO_READ_DEVICE`
    `static int` | `FT4222_FAILED_TO_WRITE_DEVICE`
    `static int` | `FT4222_FUN_NOT_SUPPORT`
    `static int` | `FT4222_GPIO_EXCEEDED_MAX_PORTNUM`
    `static int` | `FT4222_GPIO_INPUT_NOT_SUPPORTED`
    `static int` | `FT4222_GPIO_NOT_SUPPORTED_IN_THIS_MODE`
    `static int` | `FT4222_GPIO_OPENDRAIN_INVALID_IN_OUTPUTMODE`
    `static int` | `FT4222_GPIO_PULLDOWN_INVALID_IN_INPUTMODE`
    `static int` | `FT4222_GPIO_PULLUP_INVALID_IN_INPUTMODE`
    `static int` | `FT4222_GPIO_WRITE_NOT_SUPPORTED`
    `static int` | `FT4222_I2C_NOT_SUPPORTED_IN_THIS_MODE`
    `static int` | `FT4222_INSUFFICIENT_RESOURCES`
    `static int` | `FT4222_INTERRUPT_NOT_SUPPORTED`
    `static int` | `FT4222_INVAILD_FUNCTION`
    `static int` | `FT4222_INVALID_ARGS`
    `static int` | `FT4222_INVALID_BAUD_RATE`
    `static int` | `FT4222_INVALID_HANDLE`
    `static int` | `FT4222_INVALID_PARAMETER`
    `static int` | `FT4222_INVALID_POINTER`
    `static int` | `FT4222_IO_ERROR`
    `static int` | `FT4222_IS_NOT_I2C_MODE`
    `static int` | `FT4222_IS_NOT_SPI_MODE`
    `static int` | `FT4222_IS_NOT_SPI_MULTI_MODE`
    `static int` | `FT4222_IS_NOT_SPI_SINGLE_MODE`
    `static int` | `FT4222_NOT_SUPPORTED`
    `static int` | `FT4222_OK`
    `static int` | `FT4222_OTHER_ERROR`
    `static int` | `FT4222_VENDER_CMD_NOT_SUPPORTED`
    `static int` | `FT4222_WRONG_I2C_ADDR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FT_4222_Defines.FT4222_STATUS()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FT4222_OK

          public static final int FT4222_OK

      See Also:
        Constant Field Values

    - #### FT4222_INVALID_HANDLE

          public static final int FT4222_INVALID_HANDLE

      See Also:
        Constant Field Values

    - #### FT4222_DEVICE_NOT_FOUND

          public static final int FT4222_DEVICE_NOT_FOUND

      See Also:
        Constant Field Values

    - #### FT4222_DEVICE_NOT_OPENED

          public static final int FT4222_DEVICE_NOT_OPENED

      See Also:
        Constant Field Values

    - #### FT4222_IO_ERROR

          public static final int FT4222_IO_ERROR

      See Also:
        Constant Field Values

    - #### FT4222_INSUFFICIENT_RESOURCES

          public static final int FT4222_INSUFFICIENT_RESOURCES

      See Also:
        Constant Field Values

    - #### FT4222_INVALID_PARAMETER

          public static final int FT4222_INVALID_PARAMETER

      See Also:
        Constant Field Values

    - #### FT4222_INVALID_BAUD_RATE

          public static final int FT4222_INVALID_BAUD_RATE

      See Also:
        Constant Field Values

    - #### FT4222_DEVICE_NOT_OPENED_FOR_ERASE

          public static final int FT4222_DEVICE_NOT_OPENED_FOR_ERASE

      See Also:
        Constant Field Values

    - #### FT4222_DEVICE_NOT_OPENED_FOR_WRITE

          public static final int FT4222_DEVICE_NOT_OPENED_FOR_WRITE

      See Also:
        Constant Field Values

    - #### FT4222_FAILED_TO_WRITE_DEVICE

          public static final int FT4222_FAILED_TO_WRITE_DEVICE

      See Also:
        Constant Field Values

    - #### FT4222_EEPROM_READ_FAILED

          public static final int FT4222_EEPROM_READ_FAILED

      See Also:
        Constant Field Values

    - #### FT4222_EEPROM_WRITE_FAILED

          public static final int FT4222_EEPROM_WRITE_FAILED

      See Also:
        Constant Field Values

    - #### FT4222_EEPROM_ERASE_FAILED

          public static final int FT4222_EEPROM_ERASE_FAILED

      See Also:
        Constant Field Values

    - #### FT4222_EEPROM_NOT_PRESENT

          public static final int FT4222_EEPROM_NOT_PRESENT

      See Also:
        Constant Field Values

    - #### FT4222_EEPROM_NOT_PROGRAMMED

          public static final int FT4222_EEPROM_NOT_PROGRAMMED

      See Also:
        Constant Field Values

    - #### FT4222_INVALID_ARGS

          public static final int FT4222_INVALID_ARGS

      See Also:
        Constant Field Values

    - #### FT4222_NOT_SUPPORTED

          public static final int FT4222_NOT_SUPPORTED

      See Also:
        Constant Field Values

    - #### FT4222_OTHER_ERROR

          public static final int FT4222_OTHER_ERROR

      See Also:
        Constant Field Values

    - #### FT4222_DEVICE_LIST_NOT_READY

          public static final int FT4222_DEVICE_LIST_NOT_READY

      See Also:
        Constant Field Values

    - #### FT4222_DEVICE_NOT_SUPPORTED

          public static final int FT4222_DEVICE_NOT_SUPPORTED

      See Also:
        Constant Field Values

    - #### FT4222_CLK_NOT_SUPPORTED

          public static final int FT4222_CLK_NOT_SUPPORTED

      See Also:
        Constant Field Values

    - #### FT4222_VENDER_CMD_NOT_SUPPORTED

          public static final int FT4222_VENDER_CMD_NOT_SUPPORTED

      See Also:
        Constant Field Values

    - #### FT4222_IS_NOT_SPI_MODE

          public static final int FT4222_IS_NOT_SPI_MODE

      See Also:
        Constant Field Values

    - #### FT4222_IS_NOT_I2C_MODE

          public static final int FT4222_IS_NOT_I2C_MODE

      See Also:
        Constant Field Values

    - #### FT4222_IS_NOT_SPI_SINGLE_MODE

          public static final int FT4222_IS_NOT_SPI_SINGLE_MODE

      See Also:
        Constant Field Values

    - #### FT4222_IS_NOT_SPI_MULTI_MODE

          public static final int FT4222_IS_NOT_SPI_MULTI_MODE

      See Also:
        Constant Field Values

    - #### FT4222_WRONG_I2C_ADDR

          public static final int FT4222_WRONG_I2C_ADDR

      See Also:
        Constant Field Values

    - #### FT4222_INVAILD_FUNCTION

          public static final int FT4222_INVAILD_FUNCTION

      See Also:
        Constant Field Values

    - #### FT4222_INVALID_POINTER

          public static final int FT4222_INVALID_POINTER

      See Also:
        Constant Field Values

    - #### FT4222_EXCEEDED_MAX_TRANSFER_SIZE

          public static final int FT4222_EXCEEDED_MAX_TRANSFER_SIZE

      See Also:
        Constant Field Values

    - #### FT4222_FAILED_TO_READ_DEVICE

          public static final int FT4222_FAILED_TO_READ_DEVICE

      See Also:
        Constant Field Values

    - #### FT4222_I2C_NOT_SUPPORTED_IN_THIS_MODE

          public static final int FT4222_I2C_NOT_SUPPORTED_IN_THIS_MODE

      See Also:
        Constant Field Values

    - #### FT4222_GPIO_NOT_SUPPORTED_IN_THIS_MODE

          public static final int FT4222_GPIO_NOT_SUPPORTED_IN_THIS_MODE

      See Also:
        Constant Field Values

    - #### FT4222_GPIO_EXCEEDED_MAX_PORTNUM

          public static final int FT4222_GPIO_EXCEEDED_MAX_PORTNUM

      See Also:
        Constant Field Values

    - #### FT4222_GPIO_WRITE_NOT_SUPPORTED

          public static final int FT4222_GPIO_WRITE_NOT_SUPPORTED

      See Also:
        Constant Field Values

    - #### FT4222_GPIO_PULLUP_INVALID_IN_INPUTMODE

          public static final int FT4222_GPIO_PULLUP_INVALID_IN_INPUTMODE

      See Also:
        Constant Field Values

    - #### FT4222_GPIO_PULLDOWN_INVALID_IN_INPUTMODE

          public static final int FT4222_GPIO_PULLDOWN_INVALID_IN_INPUTMODE

      See Also:
        Constant Field Values

    - #### FT4222_GPIO_OPENDRAIN_INVALID_IN_OUTPUTMODE

          public static final int FT4222_GPIO_OPENDRAIN_INVALID_IN_OUTPUTMODE

      See Also:
        Constant Field Values

    - #### FT4222_INTERRUPT_NOT_SUPPORTED

          public static final int FT4222_INTERRUPT_NOT_SUPPORTED

      See Also:
        Constant Field Values

    - #### FT4222_GPIO_INPUT_NOT_SUPPORTED

          public static final int FT4222_GPIO_INPUT_NOT_SUPPORTED

      See Also:
        Constant Field Values

    - #### FT4222_EVENT_NOT_SUPPORTED

          public static final int FT4222_EVENT_NOT_SUPPORTED

      See Also:
        Constant Field Values

    - #### FT4222_FUN_NOT_SUPPORT

          public static final int FT4222_FUN_NOT_SUPPORT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FT_4222_Defines.FT4222_STATUS

          public FT_4222_Defines.FT4222_STATUS()

About FTDI | FTDI Licence Terms